/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ije.dictionary;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author coki
 */
public class DictionaryTest {

    public DictionaryTest() {
    }

    @BeforeClass
    public static void setUpClass() throws Exception {
    }

    @AfterClass
    public static void tearDownClass() throws Exception {
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }

    @Test
    public void test01() {
        Word w1 = new Word("tree");
        Word w2 = new Word("apple");
        
        assertEquals("apple", w2.getWord());
        
        // it adds alternative (incorrect) word for the given word
        w1.addAlternative("tre");
        w1.addAlternative("treee");
        
        assertFalse(w1.containsAlternative("tr"));
        assertTrue(w1.containsAlternative("treee"));
    }

    @Test
    public void test02() {
        Dictionary instance = new Dictionary();

        assertFalse(instance.checkWord("apple"));

        // it adds the word to the dictionary
        instance.add("apple");
        assertTrue(instance.checkWord("apple"));
        
        // it adds the word and the incorrect alternative to the dictionary
        instance.add("apple", "aple");
        assertFalse(instance.checkWord("aple"));
        String w = instance.correctWord("aple");
        assertEquals("apple", w);
        w = instance.correctWord("corect");
        assertEquals("", w);
        
        Word word = instance.getWord("apple");
    }


}